Bug 1641465 (CVE-2017-5735) - CVE-2017-5735 edk2: Privilege escalation via heap-based buffer overflow in Decode() function
Summary: CVE-2017-5735 edk2: Privilege escalation via heap-based buffer overflow in De...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-5735
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1641468 1641467 1641469 1666586
Blocks: 1641438
TreeView+ depends on / blocked
 
Reported: 2018-10-22 06:21 UTC by Sam Fowler
Modified: 2019-09-29 15:01 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 13:20:18 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2125 None None None 2019-08-06 12:18:18 UTC

Description Sam Fowler 2018-10-22 06:21:34 UTC
In EDK II, a vulnerability exists in BaseUefiDecompressLib.c, TianoCompress.c, and UEFI specification via a heap-based buffer overflow in the Decode() function. An authenticated attacker could exploit this via a crafted file to escalate privileges.


External Reference:

https://edk2-docs.gitbooks.io/security-advisory/content/edk-ii-tianocompress-bounds-checking-issues.html


Upstream Bug:

https://bugzilla.tianocore.org/show_bug.cgi?id=686

Comment 1 Sam Fowler 2018-10-22 06:22:50 UTC
Created edk2 tracking bugs for this issue:

Affects: epel-all [bug 1641468]
Affects: fedora-all [bug 1641467]

Comment 4 errata-xmlrpc 2019-08-06 12:18:16 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2125 https://access.redhat.com/errata/RHSA-2019:2125

Comment 5 Product Security DevOps Team 2019-08-06 13:20:18 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2017-5735


Note You need to log in before you can comment on or make changes to this bug.